/*
 * Copyright 2018 Scytl Secure Electronic Voting SA
 *
 * All rights reserved
 *
 * See our extended copyright notice in *file 'Copyright.txt' which is part of this source code package
 */
package com.scytl.products.ov.commons.beans;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * Encapsulates the id of an Election Event.
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class ElectionEvent {

    private final String id;

    @JsonCreator
    public ElectionEvent(@JsonProperty("id") final String id) {
    	this.id = id;
    }

    public String getId() {
        return id;
    }
}
