/*
 * Copyright 2018 Scytl Secure Electronic Voting SA
 *
 * All rights reserved
 *
 * See our extended copyright notice in *file 'Copyright.txt' which is part of this source code package
 */
package com.scytl.products.ov.commons.beans.domain.model.Information;

/**
 * Class representing a voter information.
 */
public class VoterInformation {

    /**
     * The tenant identifier.
     */
    private String tenantId;

    /**
     * The election event identifier.
     */
    private String electionEventId;

    /**
     * The voting card identifier.
     */
    private String votingCardId;

    /**
     * The ballot identifier.
     */
    private String ballotId;

    /**
     * The credential identifier.
     */

    private String credentialId;

    /**
     * The verification card identifier.
     */
    private String verificationCardId;

    /**
     * The ballot box identifier.
     */
    private String ballotBoxId;

    /**
     * The voting card set identifier.
     */
    private String votingCardSetId;

    /**
     * The verification card set identifier.
     */
    private String verificationCardSetId;

    /**
     * Returns the current value of the field tenantId.
     *
     * @return Returns the tenantId.
     */
    public String getTenantId() {
        return tenantId;
    }

    /**
     * Sets the value of the field tenantId.
     *
     * @param tenantId
     *            The tenantId to set.
     */
    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    /**
     * Returns the current value of the field electionEventId.
     *
     * @return Returns the electionEventId.
     */
    public String getElectionEventId() {
        return electionEventId;
    }

    /**
     * Sets the value of the field electionEventId.
     *
     * @param electionEventId
     *            The electionEventId to set.
     */
    public void setElectionEventId(String electionEventId) {
        this.electionEventId = electionEventId;
    }

    /**
     * Returns the current value of the field votingCardId.
     *
     * @return Returns the votingCardId.
     */
    public String getVotingCardId() {
        return votingCardId;
    }

    /**
     * Sets the value of the field votingCardId.
     *
     * @param votingCardId
     *            The votingCardId to set.
     */
    public void setVotingCardId(String votingCardId) {
        this.votingCardId = votingCardId;
    }

    /**
     * Returns the current value of the field ballotId.
     *
     * @return Returns the ballotId.
     */
    public String getBallotId() {
        return ballotId;
    }

    /**
     * Sets the value of the field ballotId.
     *
     * @param ballotId
     *            The ballotId to set.
     */
    public void setBallotId(String ballotId) {
        this.ballotId = ballotId;
    }

    /**
     * Returns the current value of the field credentialId.
     *
     * @return Returns the credentialId.
     */
    public String getCredentialId() {
        return credentialId;
    }

    /**
     * Sets the value of the field credentialId.
     *
     * @param credentialId
     *            The credentialId to set.
     */
    public void setCredentialId(String credentialId) {
        this.credentialId = credentialId;
    }

    /**
     * Returns the current value of the field verificationCardId.
     *
     * @return Returns the verificationCardId.
     */
    public String getVerificationCardId() {
        return verificationCardId;
    }

    /**
     * Sets the value of the field verificationCardId.
     *
     * @param verificationCardId
     *            The verificationCardId to set.
     */
    public void setVerificationCardId(String verificationCardId) {
        this.verificationCardId = verificationCardId;
    }

    /**
     * Returns the current value of the field ballotBoxId.
     *
     * @return Returns the ballotBoxId.
     */
    public String getBallotBoxId() {
        return ballotBoxId;
    }

    /**
     * Sets the value of the field ballotBoxId.
     *
     * @param ballotBoxId
     *            The ballotBoxId to set.
     */
    public void setBallotBoxId(String ballotBoxId) {
        this.ballotBoxId = ballotBoxId;
    }

    /**
     * Returns the current value of the field votingCardSetId.
     *
     * @return Returns the votingCardSetId.
     */
    public String getVotingCardSetId() {
        return votingCardSetId;
    }

    /**
     * Sets the value of the field votingCardSetId.
     *
     * @param votingCardSetId
     *            The votingCardSetId to set.
     */
    public void setVotingCardSetId(String votingCardSetId) {
        this.votingCardSetId = votingCardSetId;
    }

    /**
     * Returns the current value of the field verificationCardSetId.
     *
     * @return Returns the verificationCardSetId.
     */
    public String getVerificationCardSetId() {
        return verificationCardSetId;
    }

    /**
     * Sets the value of the field verificationCardSetId.
     *
     * @param verificationCardSetId
     *            The verificationCardSetId to set.
     */
    public void setVerificationCardSetId(String verificationCardSetId) {
        this.verificationCardSetId = verificationCardSetId;
    }

}
