/*
 * Copyright 2018 Scytl Secure Electronic Voting SA
 *
 * All rights reserved
 *
 * See our extended copyright notice in *file 'Copyright.txt' which is part of this source code package
 */
package com.scytl.products.ov.commons.beans.domain.model.certificate;

/**
 * Entity representing the info of a Certificate
 */

public class CertificateEntity {

    /**
     * The identifier of a tenant for the current certificate.
     */
    private String tenantId;

    /**
     * The identifier of an election event for the current certificate.
     */
    private String electionEventId;

    /**
     * The name of the certificate
     */
    private String certificateName;

    /** the platform name **/
    private String platformName;

    /**
     * The content of the certificate in json format.
     */
    private String certificateContent;

    /**
     * Sets the content of the certificate in json format..
     *
     * @param certificateContent
     *            New value of The content of the certificate in json format..
     */
    public void setCertificateContent(String certificateContent) {
        this.certificateContent = certificateContent;
    }

    /**
     * Gets The name of the certificate.
     *
     * @return Value of The name of the certificate.
     */
    public String getCertificateName() {
        return certificateName;
    }

    /**
     * Gets The identifier of an election event for the current certificate..
     *
     * @return Value of The identifier of an election event for the current ballot..
     */
    public String getElectionEventId() {
        return electionEventId;
    }

    /**
     * Gets The content of the certificate in json format..
     *
     * @return Value of The content of the certificate in json format..
     */
    public String getCertificateContent() {
        return certificateContent;
    }

    /**
     * Sets the identifier of an election event for the current certificate..
     *
     * @param electionEventId
     *            New value of The identifier of an election event for the current certificate..
     */
    public void setElectionEventId(String electionEventId) {
        this.electionEventId = electionEventId;
    }

    /**
     * Gets The identifier of a tenant for the current certificate..
     *
     * @return Value of The identifier of a tenant for the current certificate..
     */
    public String getTenantId() {
        return tenantId;
    }

    /**
     * Sets the identifier of a tenant for the current certificate..
     *
     * @param tenantId
     *            New value of The identifier of a tenant for the current certificate..
     */
    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    /**
     * Sets the name of the certificate.
     *
     * @param certificateName
     *            New value of The name of the certificate.
     */
    public void setCertificateName(String certificateName) {
        this.certificateName = certificateName;
    }

    /**
     * Gets the platformName
     *
     * @return Value of platformName
     */
    public String getPlatformName() {
        return platformName;
    }

    /**
     * sets the platformName.
     *
     * @param platformName
     *            New value of platform name.
     */
    public void setPlatformName(String platformName) {
        this.platformName = platformName;
    }

}
