/*
 * Copyright 2018 Scytl Secure Electronic Voting SA
 *
 * All rights reserved
 *
 * See our extended copyright notice in *file 'Copyright.txt' which is part of this source code package
 */
package com.scytl.ov.mixing.commons.beans.proofs;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * Encapsulates the answer generated by a {@link HadamardProductProofGenerator}.
 */
public final class HadamardProductProofAnswer {

    private final ZeroProofInitialMessage initial;

    private final ZeroProofAnswer answer;

    @JsonCreator
    public HadamardProductProofAnswer(@JsonProperty("initial") final ZeroProofInitialMessage initial,
            @JsonProperty("answer") final ZeroProofAnswer answer) {
    	this.initial = initial;
    	this.answer = answer;
    }

    /**
     * @return Returns the initial.
     */
    public ZeroProofInitialMessage getInitial() {
        return initial;
    }

    /**
     * @return Returns the answer.
     */
    public ZeroProofAnswer getAnswer() {
        return answer;
    }

    @Override
    public String toString() {
        return initial.toString() + answer.toString();
    }

}
