/*
 * Copyright 2018 Scytl Secure Electronic Voting SA
 *
 * All rights reserved
 *
 * See our extended copyright notice in *file 'Copyright.txt' which is part of this source code package
 */
package com.scytl.products.ov.sdm.domain.model.status;

/*
 * An entity has been attempted to be transitioned to a status that cannot be reached from its current status.
 */
public class InvalidStatusTransitionException extends Exception {

    private static final long serialVersionUID = -5773020954555377570L;

    public InvalidStatusTransitionException(Status from, Status to) {

        super(String.format("Status %s could not be transitioned to status %s", from, to));
    }
}
